<template>
    <b-modal title="Xác nhận nộp tiền" class="modal-success" v-model="modalVisible" ok-title="Xác nhận" @ok="saveInfo()">
        <div class="modal-body" v-if=" payment !== null ">
           
            <div class="form-group row">
                 <h5 class="col-form-label text-info">Số tiền </h5>
                <b-input-group>
                   
                    <b-form-input type="text" min="1000" aria-placeholder="Số tiền" :readonly="isCompleted" v-model="amount" :formatter="formatCurrency"></b-form-input>

                    <b-input-group-append>
                        <b-btn variant="outline-info" @click="toggleIsCompleted()">{{ enableEditBtnText }}</b-btn>
                    </b-input-group-append>
                </b-input-group>
            </div>
            <div class="form-group row">
                <h5 for="address" class="col-form-label text-info">Mã chứng từ</h5>
                <input class="form-control" v-model="reference_code" placeholder="">
            </div>
        
            <div class="form-group row">
                    <h5 for="address" class="col-form-label text-info">Ghi chú: </h5>
              <b-form-textarea id="textarea1"
                     v-model="note"
                     :rows="3"
                     :max-rows="6">
    </b-form-textarea>
            </div>
        </div>
    </b-modal>
</template>
<script>
import { alerts, event } from "../../utils";
import { http } from "../../services";

export default {
  name: "confirm-payment-modal",
  data() {
    return {
      modalVisible: false,
      note: "",
      reference_code: "",
      isCompleted: true,
      enableEditBtnText: "Số khác",
      amount: 0
    };
  },
  props: {
    payment: null
  },
  created() {
    this.isCompleted = true;
  },
  watch: {
    modalVisible: function(newVal, oldVal) {
      // watch it
      this.note = "";
      this.reference_code = "";
      this.amount = this.comma(
        this.payment.amount - this.payment.salesman_paid
      );
    },
    isCompleted: function(newVal, oldVal) {
      if (newVal) {
        this.enableEditBtnText = "Số khác";
      } else {
        this.amount = "";
        this.enableEditBtnText = "Xong";
      }
    }
  },
  methods: {
    hideModal() {
      this.modalVisible = false;
      this.isCompleted = true;
    },
    showModal() {
      this.modalVisible = true;
    },
    toggleIsCompleted() {
      this.isCompleted = !this.isCompleted;
      // if(this.isCompleted){
      //     this.enableEditBtnText = 'Số khác';
      // }else{
      //     this.enableEditBtnText = 'Xong';
      // }
    },
    saveInfo() {
      http.post(
        "/payment/confirm",
        {
          id: this.payment.id,
          reference_code: this.reference_code,
          amount: this.amount,
          note: this.note
        },
        response => {
          // return response;
          // console.log(response.data.status);
          if (response.data.status) {
            alerts.success(response.data.msg);
          } else {
            alerts.warning(response.data.msg);
          }
        }
      );
    },
    formatCurrency(value, event) {
      return this.comma(value);
    }
  },
  computed: {
    formattedAmount() {
      return this.comma(this.amount);
    }
  }
};
</script>

